Bug 219288 - math/drgeo: fails to build with lang/gcc6 or later
Summary: math/drgeo: fails to build with lang/gcc6 or later
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords:
Depends on:
Blocks: 219275
  Show dependency treegraph
 
Reported: 2017-05-14 21:57 UTC by Jan Beich
Modified: 2017-08-12 13:25 UTC (History)
3 users (show)

See Also:
rakuco: maintainer-feedback-


Attachments
Proposed patch (1.51 KB, patch)
2017-07-25 17:02 UTC, Raphael Kubo da Costa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-05-14 21:57:38 UTC
drgeo_figure.cc: At global scope:
drgeo_figure.cc:56:1: error: '<anonymous struct> drgeoDialogData', declared using anonymous type, is used but never defined [-fpermissive]
 drgeoDialogData;
 ^~~~~~~~~~~~~~~

build log: http://sprunge.us/LQOP
Comment 1 Raphael Kubo da Costa freebsd_committer 2017-07-25 17:02:59 UTC
Created attachment 184704 [details]
Proposed patch

This patch fixes the build with GCC; I also dropped the USE_GCC=yes there because the port built fine with base clang in both HEAD-amd64 and 10.3-i386.
Comment 2 commit-hook freebsd_committer 2017-08-12 13:21:22 UTC
A commit references this bug:

Author: rakuco
Date: Sat Aug 12 13:21:08 UTC 2017
New revision: 447829
URL: https://svnweb.freebsd.org/changeset/ports/447829

Log:
  Fix the build with GCC 6.

  While here, drop USE_GCC=yes, as the port was verified to build with clang on
  both HEAD-amd64 and 10.3-i386.

  PR:		219288
  Approved by:	maintainer timeout (amdmi3, 18 days)

Changes:
  head/math/drgeo/Makefile
  head/math/drgeo/files/patch-geo_drgeo__figure.cc